QwtCompassWindArrow(3)

NAME
QwtCompassWindArrow - An indicator for the wind direction.

SYNOPSIS

#include <qwt_dial_needle.h>

Inherits QwtDialNeedle.

  Public Types
enum Style { Style1, Style2 }

  Public Member Functions
QwtCompassWindArrow (Style, const QColor &light=Qt::white, const QColor &dark=Qt::gray)
virtual void draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const

  Static Public Member Functions
static void drawStyle1Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)
static void drawStyle2Needle (QPainter *, const QPalette &, QPalette::ColorGroup, const QPoint &, int length, double direction)

Detailed Description

An indicator for the wind direction. QwtCompassWindArrow shows the direction where the wind comes from.

•   QColorGroup::Light
     Used for Style1, or the light half of Style2

•   QColorGroup::Dark
     Used for the dark half of Style2

See also:
    QwtDial, QwtCompass

Member Enumeration Documentation

  enum QwtCompassWindArrow::Style

Style of the arrow.

Constructor & Destructor Documentation

  QwtCompassWindArrow::QwtCompassWindArrow (Style style, const QColor & light = Qt::white, const QColor & dark = Qt::gray)

Constructor

Parameters:
    style Arrow style
    light Light color
    dark Dark color

Member Function Documentation

  void QwtCompassWindArrow::draw (QPainter * painter, const QPoint & center, int length, double direction, QPalette::ColorGroup colorGroup = QPalette::Active) const [virtual]

Draw the needle

Parameters:
    painter Painter
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise
    colorGroup Color group, used for painting

Implements QwtDialNeedle.

  void QwtCompassWindArrow::drawStyle1Needle (QPainter * painter, const QPalette & palette, QPalette::ColorGroup colorGroup, const QPoint & center, int length, double direction) [static]

Draw a compass needle

Parameters:
    painter Painter
    palette Palette
    colorGroup colorGroup
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise

  void QwtCompassWindArrow::drawStyle2Needle (QPainter * painter, const QPalette & palette, QPalette::ColorGroup colorGroup, const QPoint & center, int length, double direction) [static]

Draw a compass needle

Parameters:
    painter Painter
    palette Palette
    colorGroup colorGroup
    center Center of the dial, start position for the needle
    length Length of the needle
    direction Direction of the needle, in degrees counter clockwise

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.